## Execute an Overpass QL query `FeatureCollection query().overpass(QueryOverpassParamsparams, RequestOptionsrequestOptions = RequestOptions.none())` **post** `/api/v1/overpass` Execute an Overpass QL query ### Parameters - `QueryOverpassParams params` - `OverpassQuery overpassQuery` ### Returns - `class FeatureCollection:` Bare GeoJSON FeatureCollection. Pagination metadata is returned in HTTP headers (X-Limit, X-Has-More, X-Next-Cursor, X-Next-Offset, Link). - `List features` - `GeoJsonGeometry geometry` - `Coordinates coordinates` GeoJSON coordinates array (nesting depth varies by geometry type) - `List` - `List>` - `List>>` - `List>>>` - `Type type` - `POINT("Point")` - `LINE_STRING("LineString")` - `POLYGON("Polygon")` - `MULTI_POINT("MultiPoint")` - `MULTI_LINE_STRING("MultiLineString")` - `MULTI_POLYGON("MultiPolygon")` - `Properties properties` - `Type type` - `FEATURE("Feature")` - `Optional id` Feature identifier (type/osm_id) - `Optional osmId` OpenStreetMap ID - `Type type` - `FEATURE_COLLECTION("FeatureCollection")` ### Example ```java package com.plazafyi.example; import com.plazafyi.client.PlazaClient; import com.plazafyi.client.okhttp.PlazaOkHttpClient; import com.plazafyi.models.FeatureCollection; import com.plazafyi.models.query.OverpassQuery; import com.plazafyi.models.query.QueryOverpassParams; public final class Main { private Main() {} public static void main(String[] args) { PlazaClient client = PlazaOkHttpClient.fromEnv(); OverpassQuery params = OverpassQuery.builder() .data("data") .build(); FeatureCollection featureCollection = client.query().overpass(params); } } ```